#include "boost/graph/adjacency_list.hpp"
#include "ViennaFile.h"
#include <string>
#include <iostream>
using namespace std;
using namespace boost;

#include "BoostGraph.h"
#include "ViennaFile.h"

int main()
{
	BoostGraph boostGraph1;
	BoostGraph boostGraph2;

	ViennaFile viennaFile1;
	ViennaFile viennaFile2;

	viennaFile1.baseSequence = "acugcuaagc";
	viennaFile1.dotBracket   = ".(.(..))..";

	viennaFile2.baseSequence = "auugauuagc";
	viennaFile2.dotBracket   = ".(.(..))..";

	boostGraph1.LoadVienna(viennaFile1, false);
	boostGraph2.LoadVienna(viennaFile2, false);

	bool isIsomorphic = false;

	isIsomorphic = boostGraph1.Compare(boostGraph2);

	cout << "Graphs are " << (isIsomorphic ? "" : "not") << " isomorphic" << endl;

	cin.get();

	return 0;
}