#include "Helper.h"

string Helper::Int2String(int i)
{
	stringstream ss;
	ss << i;
	return ss.str();
}

string Helper::Float2String(float f)
{
	stringstream ss;
	ss << f;
	return ss.str();
}

int Helper::String2Int(const string& s)
{
	int i = 0;
	istringstream iss(s);

	iss >> dec >> i;

	return i;
}

int Helper::RandomInt(int min, int max)
{
	if(min >= max)
		return -1;

	return (rand() % (max - min + 1) + min);
}

bool Helper::ValidateBase(const string& base)
{
	if(base == "a" || base == "c" || base == "g" || base == "u" ||
		 base == "A" || base == "C" || base == "G" || base == "U")
		 return true;

	return false;
}

bool Helper::ValidateBase(char base)
{
	if(base == 'a' || base == 'c' || base == 'g' || base == 'u' ||
		 base == 'A' || base == 'C' || base == 'G' || base == 'U')
		 return true;

	return false;
}